<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

#[Route('/calendrier')]
class CalendrierController extends AbstractController
{
    #[Route(name: 'app_calendrier_index', methods: ['GET'])]
    public function index(): Response
    {
        return $this->render('calendrier/index.html.twig', [
            'controller_name' => 'CalendrierController',
        ]);
    }

    #[Route('/secretaire', name: 'app_calendrier_indexSecretaire')]
    public function indexSecretaire(): Response
    {
        // Check that only admins and secretaries can view this page
        $this->denyAccessUnlessGranted('ROLE_SECRETAIRE');

        return $this->render('calendrier/indexSecretaire.html.twig', [
            'controller_name' => 'CalendrierController',
        ]);
    }

    #[Route('/chauffagiste', name: 'app_calendrier_indexChauffagiste')]
    public function indexChauffagiste(): Response
    {
        // Ensure chauffagiste only sees their own calendar
        if ($this->isGranted('ROLE_CHAUFFAGISTE')) {
            // filter logic for individual chauffagiste calendar
        }

        return $this->render('calendrier/indexChauffagiste.html.twig', [
            'controller_name' => 'CalendrierController',
        ]);
    }
}
